package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 等级(FATAL，ERROR,WARNING,INFO,DEBUG)枚举类
*
* @author zxfei
*/
public enum LevelEnum {
    FATAL("FATAL", "FATAL"),
    ERROR("ERROR", "ERROR"),
    WARNING("WARNING", "WARNING"),
    INFO("INFO", "INFO"),
    DEBUG("DEBUG", "DEBUG");
    private String value;
    private String desc;

    LevelEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static LevelEnum getByValue(String value) {
        for (LevelEnum levelEnum : LevelEnum.values()) {
            if (levelEnum.getValue() == value) {
                return levelEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (LevelEnum item : LevelEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}